<div class="grey-section">
    <div class="row">
        <div class="col-lg-10 back-img">
            <img class="homepagePic" src="../../assets/images/VNK_Bild_Homepage 1.png" alt="">
            <h4 class="subTitle">What is the Vivian Framework?</h4>
            <p class="description">This framework allows to easily deploy virtual prototypes of technical devices in
                Augmented Reality (AR) and Virtual Reality (VR). For the deployment, users of the framework have to
                provide a virtual model of the prototype and a specification for its functionality. Based on both,
                the framework deploys fully interactable virtual prototypes, currently, in WebGL or standalone PC
                applications, in mobile AR, or in VR using either laser pointer or tracked hand interaction. This
                concept can be used for fast and efficient, formative, and remote usability evaluations for
                technical device prototypes.</p>
        </div>
    </div>
</div>

<div class="light-section">
    <div class="row">
        <div class="col-lg-10 back-img">
            <h4 class="subtitle-light" style="margin-bottom: 70px;">What can you do the Vivian Framework?</h4>
        </div>
    </div>
    <div class="row features">
        <div class="col-lg-4 icons">
            <fa-icon [icon]="faTools"></fa-icon>
            <p class="icons-text">Fast and easy development of prototypes in VR and AR.</p>
        </div>
        <div class="col-lg-4 icons">
            <fa-icon [icon]="faClock"></fa-icon>
            <p class="icons-text">Save time by using prefabricated elements for the functionalities of your devices.</p>
        </div>
        <div class="col-lg-4 icons">
            <fa-icon [icon]="faLaugh"></fa-icon>
            <p class="icons-text">Enjoy prototyping in VR and AR even more.</p>
        </div>
    </div>
</div>

<div class="grey-section" style="padding-bottom: 20px;">
    <div class="row">
        <div class="col-log-10 back-img">
            <h4 class="subTitle">How to use the Vivian Framework?</h4>
            <p class="description">
                To ensure good usability of a technical device, user test must be run through.
                Creating real prototypes could be time-consuming and expensive. Moreover in the
                product life cycle, prototypes do not only have to be created once. This increases the
                effort immensely. To avoid these factors, user researchers are using virtual
                prototypes. This framework allows to easily deploy virtual prototypes of technical
                devices in Augmented Reality (AR) and Virtual Reality (VR).
            </p>
            <p class="description">
                The usage of the Vivian Framework consists of two phases. In the specification
                phase we extend the Virtual Prototypes (VP) with a functionality specification. For
                this, we mark components or assemblies in the model that represent interaction and
                visualization elements. In addition, we specify element specific configuration
                parameters. Afterwards, we define a state machine representing the intended
                functionality of the technical device. Here we define what happens, if users interact
                with a certain interaction element. This incorporates to define what is visualized by
                the visualization elements. These specifications are done in respective configuration
                files. Afterwards, we transition to the runtime phase. In this phase, we utilize the VP
                and the outputs of the specification phase, i.e., the configuration files, to deploy and
                interact with the VP in Virtual and Augmented Reality (XR). For this, the Vivian
                Framework provides respective runtime environments that are capable of:
            </p>
            <ul class="description">
                <li>processing the VP’s functional specification,</li>
                <li>visualizing the VP using a certain technology (PC, AR, or VR),</li>
                <li>allowing users to interact with the visualization through technology specific
                    interaction modes, and</li>
                <li>adapting the visualization depending on the user actions and the defined state
                    machine.</li>
            </ul>
        </div>
    </div>

    <div class="row">
        <div class="col-log-10 back-img">
            <h4 class="subTitle">How does the Vivian Framework work?</h4>
            <p class="description">With the help of the framework, prototypes produced in Unity can be given various
                attributes, the so-called functional specifications. Here you define for certain elements of mdeol the
                Interaction Elements such as buttons, sliders, touch areas or lights. These elements can be used to
                change the status of the prototype. Elements of the model can be defined as visual elements, for example
                to change the surface of a touchscreen, to switch lights on or off, to generate sounds, to display texts
                or to start particle effects. All of these specifications are defined using .json files and the C #
                programming language. All possible statuses are entered within these files. With the help of Unity you
                can then access these via the Vivian Framework and the prototype is started as a clickable or operable
                3D model.</p>
        </div>
    </div>
</div>

<div class="light-section">
    <div style="text-align: center; padding-top: 30px;">
        <h4 class="subtitle-light">Do you want learn how to use it?</h4>
        <button mat-raised-button class="button" routerLink="/Tutorials">Click here for the tutorials</button>
    </div>
</div>

<app-footer></app-footer>